## CVM

## CVM SQL Framework

# The cvm-mysql Module

## Synopsis:

MySQL module

## Credentials:

1. Pass phrase

## Description:

This module queries a MySQL database for the account name, compares the stored pass phrase with the given one using `crypt`.

## Configuration Variables:

`$CVM_MYSQL_DEFAULT_FILE`
  The full path of the defaults file to read if the following variable is set. If not set, the file `$HOME/.my.cnf` will be read (the MySQL default).
`$CVM_MYSQL_DEFAULT_GROUP`
  If set, the module will read connection default options from the named group in the defaults file as above.
`$CVM_MYSQL_HOST`
  The hostname or IP of the MySQL server. If not set, a connection to the local host is assumed.
`$CVM_MYSQL_USER`
  The MySQL login ID to connect as. If not set, the invoking user is assumed.
`$CVM_MYSQL_PASS`
  The password for the above user.
`$CVM_MYSQL_DB`
  The database name, must be set.
`$CVM_MYSQL_PORT`
  The port number for the TCP/IP connection (only used if the server is not local).
`$CVM_MYSQL_POSTQ` (optional)
  The SQL query to execute after the credentials have been validated.
`$CVM_MYSQL_PWCMP` (optional)
  The password comparison module to use.
`$CVM_MYSQL_SOCKET`
  The path to the socket that should be used for connections to a local server.
`$CVM_MYSQL_QUERY` (optional)
  The SQL query to issue to retrieve the row containing the account information from the database.